;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; A sample file of .mew.el
;;;
;;; Modified for MacOS X WorkShop <KOBAYASHI Taizo>
;;; Time-stamp: <07/03/12 11:40:35 tkoba>
;
; This is just a sample. You should customize as you like...
;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Mew 5.2  -  Messaging in the Emacs World
;;   ᡼꡼ Mew
;;   M-x mew ǵưޤ
;;
;;   ĿѤե ~/.mew.el ѤƤ
;;   ǿ .mew.el  /Library/Application\ Support/OSXWS/jp/.mew.el
;;   ˤޤ
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.0 "path "
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;(setq exec-path
;      (append
;      (list "/usr/local/bin" "~/bin") exec-path))
;(setenv "PATH" 
;      (concat '"/usr/local/bin:~/bin:" (getenv "PATH")))



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.1 "᡼륵Ф"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;
;; Sec.1.1 "POP Ф"
;;

(setq mew-name "your full name") ;; (user-full-name)
(setq mew-user "") ;; (user-login-name)
(setq mew-mail-domain "domain.name")
(setq mew-pop-user "")   ;; (user-login-name)
(setq mew-pop-server "")    ;; if not localhost
;(setq mew-pop-ssh-server "")    ;; if not localhost

;; POP ǧ
;; APOP  'apop POP  'pass (USER/PASS (ѥ)) 
;(setq mew-pop-auth 'pass)

;; POP Фå塢
;; POP Фˤåʤ t
;; Ĥʤ nil 
;; NĤʤ N 
(setq mew-pop-delete 7)

;; POP Фå륵
(setq mew-pop-size (* 20320 1024))  ;; 4K hdr + 2M bdy

;;
;; Sec.1.2 "SMTP Ф"
;;

(setq mew-smtp-server "")  ;; if not localhost
;(setq mew-smtp-ssh-server "")  ;; if not localhost

(setq mew-use-cached-passwd t)        ; ѥɤŪ˥å夹
(setq mew-passwd-timer-unit 60)       ; 60 minutes = 1 hour
(setq mew-passwd-lifetime 24)         ; timer-unit x 24 = 24 hours

;; SMTP AUTH
;; AUTH ѥӥƥ֤ѥɤդʤ
;; ФξͭˤƤ
;(setq mew-use-smtp-auth nil)

;;;
;;; POP ʳǥ᡼˥ˤϰʲ
;;;

;; POP ˥ "mbox"  "maildir" Ȥ
;; ⤷ /path/to/mbox  file ʤ "mbox"
;; directory ʤ "maildir" Ǥ
;(setq mew-mailbox-type 'mbox)
;(setq mew-mbox-command "incm")
;(setq mew-mbox-command-arg "-d /path/to/mbox")

;;
;; Sec.1.3 "IMAP "
;;
;(setq mew-proto "%")
;(setq mew-imap-user "your IMAP account")  ;; (user-login-name)
;(setq mew-imap-server "your IMAP server")    ;; if not localhost
;(setq mew-imap-ssl t)
;(setq mew-imap-ssl-port "993")
;(setq mew-imap-delete nil)
;(setq mew-imap-auth nil)
;(setq mew-imap-auth-list "LOGIN")
;(setq mew-imap-trash-folder "%Trash")
;(setq mew-imap-header-only nil)
;(setq mew-ssl-verify-level 0)

;; Sec.1.4 "NNTP "
;; (setq mew-nntp-user "your NNTP account")
;(setq mew-nntp-server "your NNTP server")

;; Optional setup (Read Mail menu for Emacs 21):
(if (boundp 'read-mail-command)
    (setq read-mail-command 'mew))

;; Optional setup (e.g. C-xm for sending a message):
;(autoload 'mew-user-agent-compose "mew" nil t)
;(if (boundp 'mail-user-agent)
;    (setq mail-user-agent 'mew-user-agent))
;(if (fboundp 'define-mail-user-agent)
;    (define-mail-user-agent
;      'mew-user-agent
;      'mew-user-agent-compose
;      'mew-draft-send-message
;      'mew-draft-kill
;      'mew-send-hook))



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.2 "᡼μ˴ؤ륯饤¦"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; biff 
;(setq mew-use-biff t)
;(setq mew-use-biff-bell t)
;(setq mew-biff-interval 10) ;; 10 min

;; MIMEϤ륵
(setq mew-file-max-size (* 20480 1024))  ;; 2M MIME analysis

;; From إå "" ǰϤޤ줿ʸ MIME ǥɤ
(setq mew-decode-quoted t)

;; ư˥᡼ˤʤ褦ˤ
(setq mew-auto-get nil)
(setq mew-auto-flush-queue t)



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.3 "󥿡ե"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; åɽԤ
;(setq mew-prog-imls-arg-list '("--thread=yes"))



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.4 "å"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Ƥ񤯺ݡ곰Υɥ쥹֤ɽ
;(setq mew-safe-domains ("example.org"))
;(setq mew-warn-addresses '("customers@example.org"))

;; ֿΰѥեޥåȤλ
(setq mew-cite-fields '("From:" "Subject:" "Date:" "Message-ID:"))
(setq mew-cite-format "From: %s\nSubject: %s\nDate: %s\nMessage-ID: %s\n\n")
;;(setq mew-cite-prefix-function 'mew-cite-prefix-username)

;; From: ;פʤ (localhost ̾) դꤹϡ
;; ɥᥤ̾ꤷޤ
;(setq mew-mail-domain-list '("domain.name"))

;; ʬ Bcc Ĥʤ
;(setq mew-mail-address-list
;          '("hoge@domain.name"))

;; إå˲ä
;(setq mew-header-alist '(
;         ("Cc" . "hoge@domain.name")
;         ("Reply-To" . "fuga@domain2.name")))

;; "Received:"  "Return-Path:" ž˺
;(setq mew-field-delete-for-forwarding '("Received:" "Return-Path:"))

;; Reply-To إå礽Υɥ쥹ˤֿ
;(setq mew-reply-all-alist
;      '((("Followup-To:" "poster")
;         ("To:" "From:"))
;        ("Followup-To:"
;         ("Newsgroups:" "Followup-To:"))
;        ("Newsgroups:"
;         ("Newsgroups:" "Newsgroups:"))
;        ("Reply-To:"
;         ("To:" "Reply-To:"))
;        (t
;         ("To:" "From:")
;         ("Cc:" "To:" "Cc:" "Apparently-To:"))))

;; ɥեȤѰդ귿ʸưŪ
;(add-hook 'mew-draft-mode-hook
;   (function
;      (lambda()
;         (let ((p (point)))
;         (goto-char (point-max))
;         (insert-file "~/Mail/teikei")
;         (goto-char p)))))

;; (ֿ)Ǥ귿ʸ־
;(add-hook 'mew-before-cite-hook
;   (lambda() (goto-char (point-max))))



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Sec.5 "¾"
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; ġ
; 'spotlight, 'wds, 'google, 'namazu
(setq mew-search-method 'spotlight)

;; ƤƱǤ᡼κ
(setq mew-summary-form-mark-spam t)

;; ĤΥޥѥɤ¾Τ٤ƤΥѥɤ
(setq mew-use-master-passwd t)

;;
;; SPAM header ΰ
;;
(setq mew-spam: "X-Spam-Flag:")

; Ȣ('trash'ǥ쥯ȥ)
(defun mew-spam-assassin (val)
    (let ((case-fold-search t))
          (if (string-match "yes" val) ?D)))

; 'junk' ǥ쥯ȥ˿ʬ
;(defun mew-spam-assassin (val)
;  (let ((case-fold-search t))
;    (if (string-match "yes" val) "+junk")))

(setq mew-inbox-action-alist
          '(("X-Spam-Flag:" mew-spam-assassin)))


;; ޥ
(defun mew-print-region (mark point)
     (interactive "r")
     (mac-print-buffer))

(defun mew-print-buffer ()
    (interactive)
    (mew-print-region (point-min) (point-max)))
(setq mew-print-function (function mew-print-buffer))

;; URL ޥ楯åǥ֥饦ưͤˤ
(autoload 'browse-url-at-mouse "browse-url"
      "Ask a WWW browser to load a URL clicked with the mouse." t)
(add-hook 'mew-message-mode-hook
   (function
      (lambda()
         (local-set-key [mouse-2] 'browse-url-at-mouse))))

;; ֥饦ˡ֥ǥեȤΥ֥饦פѤ

(setq mew-prog-text/html-ext "open")
;(setq thing-at-point-url-path-regexp "[~/A-Za-z0-9---_.${}#%,:]+")

;;; ֥饦 w3m Ѥ
;(setq mew-mime-multipart-alternative-list '("Text/Html" "Text/Plain" "*."))

;(condition-case nil
;    (require 'mew-w3m)
;  (file-error nil))
;(setq w3m-type 'w3m-m17n)


;;; 餯餯
;;; ޥåإå͡եΥե񤤤Ƥȡ
;;; ñ˿ʬǤޤ

(setq mew-refile-guess-alist
  '(("Reply-To:"
       ("ml-huge@" . "+ml/huge")
   )
   ("To:"
       ("to@" . "+from/to")
   )
   ("Cc:"
       ("cc@" . "+from/cc")
   )
   ("From:"
       ("tkoba@" . "+from/tkoba")
   )
))

;;;
;;; End
;;;
